# BEGIN SourceDeps(oneline):
BuildRequires: perl(JSON.pm) perl(Net/SSL.pm) perl(REST/Client.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name API-PureStorage
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: API Wrapper for Pure Storage devices.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BE/BENNIE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is a wrapper around the Pure Storage API for their devices.

It currently supports API v1.4 and earlier. It supports a limited set of
the available API commands: basic reading of volume and array information.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%perl_vendor_privlib/A*

%changelog
* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

